Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08173 Color/Palette Minor Always Jan 5, 2022, 12:05 Jan 6, 2022, 21:19
Tester jkburks View Status Public Platform MAME (Official Binary)
Assigned To AJR Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver vicdual.cpp
Version 0.239 Fixed in Version 0.240 Build 64-bit
Fixed in Git Commit 0607202 Github Pull Request #
Summary 08173: samurai: Wrong colors on title sequence and player select screens
Description The title sequence and player select screens are using the wrong colors.

There is also a missing screen flash effect when crossing swords with boss.

This is not a regression, rather the colors have never been correct in MAME. I will link photos and videos to compare to the current emulation.
Steps To Reproduce Steps to trigger a boss parry resulting in the screen flash effect:

The default sword posture is overhead.
This posture is defensive and will deflect shuriken attacks from above.

Press the button to swing sword.
Press and hold the button to cycle through 3 sword attack postures.
You can thrust-attack by holding an attack posture and walking into the enemy.

When you defeat 6 enemies the boss will appear.
It takes 2 hits to defeat him.
If you hold an attack posture and walk into the boss he can parry your attack.
This should trigger a double screen flash in cyan (currently unemulated)
Additional Information 侍 is the kanji for Samurai. The title screen kanji is supposed to be solid red with a black background. The game slowly reveals this kanji as it is drawn down the screen. Once the character is complete, there is a “sword slash” sound effect, and then the kanji is split in two, and the colors change to black with a cyan background.

In MAME this animation is wrong in several ways:

1. - The kanji is drawn with multi-color stripes.
2. - There are 2 blue rectangles that should not be drawn. The larger blue rectangle is the first object to appear during the animation. The second blue rectangle appears as the gap created by the sword cut.
3. - The palette shift to black/cyan does not happen.

See attached composite image. MAME on the left, digital recreations on the right.

The screen flash effect triggered by a sword parry is unemulated. It can be seen in this video, and was in fact written about in Game Machine as a feature when Samurai was released.
https://twitter.com/Ameron001/status/1216291162165637120

I have made an animated GIF from the video that shows the double screen flash in slow-motion.
https://imgur.com/a/mLbDd7s

Player walks a sword-thrust at the boss.
Boss parries the attack showing crossed swords.
Screen background turns cyan, then all color objects turn black.
Screen returns to normal colors.
Screen background turns cyan a second time, then all color objects turn black.
Player and boss are forced into overhead sword posture and boss steps backward.
Screen returns to normal colors.

There were multiple versions of this game released to arcades. The table version, conversion kit version, and Taito licensed versions all have extra graphics at the top of the screen. This includes a yellow full moon and some sort of blue ladder.

The upright version of Samurai, which I suspect is the ROM set in MAME, uses a 2-way mirror to reflect the CRT screen. Behind the mirror is a 3-fold artwork backdrop that is printed with fluorescent ink. It is lighted from below by a black light.

The backdrop artwork has a blank area in the middle where the screen is reflected. The artwork was intentionally positioned so that the top 24 rows of pixels overlap onto the building roof tiles. A ninja appears on the screen after the player kills the first enemy. This ninja crawls back and forth along the roof line to throw shuriken at the player. Sega made the decision to have the 8-pixel high ninja graphic overlap the roof artwork. Because of this, it was necessary to remove the moon and ladder graphics from the screen on the upright board version. They are either deleted the graphics from the ROM set or disabled them in some way.

Samurai upright
https://twitter.com/kt2soundlab/status/1424686773939019781
https://twitter.com/retoconaikoukai/status/1216556151719940096

https://twitter.com/ucchii16b/status/982677591961174017
(this one has either bad camera color balance, or the crt is failing)

https://twitter.com/tsuarappy/status/1408697856886591494
(scroll down for close ups)

Samurai table-type board has different ROM labels.
https://imgur.com/a/N9WTDtP

Samurai advertisement shows the full moon.
https://imgur.com/a/g1r6O8r


Game Machine No. 147 – Aug. 01, 1980 reported that Sega / Gremlin was planning to release Samurai for the US market as “Shōgun.” It was supposed to be licensed tie-up with the 1980 TV mini-series based on James Clavell’s 1975 novel. It is not known what happened to this deal. I have not seen evidence that Samurai was ever officially released in the US under either name.

Samurai cabinets with English control panel overlays do exist, however they all appear to be refurbished Japanese cabinets that were exported for the world market. The boards in these cabinets have the same Japanese screen text as the MAME set.

These 2 photos from Arcade Expo 3.0 show one of these export cabinets.
https://www.flickr.com/photos/8659383@N04/33448148761/in/photostream/

Another photo from Arcade Expo 3.0 shows the cabinet with the player start screen. The game went out-of-order during the event.
https://imgur.com/a/YyIFfAE

This closed ebay auction shows another. Serial number back plate says “Made in Japan.”
https://www.ebay.com/itm/224709027461

Another with English control panel on worthpoint.
https://www.worthpoint.com/worthopedia/sega-samurai-1798169481


In addition to the upright and table models, Sega also sold a kit version of Samurai to convert earlier Sega table type games:
“The base machine for the modification is limited to the company's Special Dual T4, T5, and Head-On II T5 models, and the complete circuit board kit is priced at 130,000 yen (Special Dual) and 135,000 yen (Head On II).”

Samurai Instruction Card (kit version)
https://twitter.com/ulchan2/status/1292711523140268032


There is a Taito licensed version of Samurai for Japan. It has the full moon graphic and TAITO on the screen instead of ©SEGA. It was probably a board kit for remodeling games like Space Chaser. Japanese sources say that this version has a different sound board, and thus some different sound effects.

https://twitter.com/ZENOFof/status/782115169426026496
https://twitter.com/Rabbit_GTI5/status/1134420728126640130
https://twitter.com/kumazou7/status/787572625128042496
https://twitter.com/BEEP_SHOP/status/1331053849440788481
https://twitter.com/taroumarujirou1/status/1137358265237458944
http://mytdeco.livedoor.blog/archives/2000262.html

There is also a bootleg version of Samurai with "©TAX" instead of ©SEGA

The Japanese wikpedia page suggests that Samurai was the first arcade video game with sound in the attract mode. It is also often said that Samurai is the first game with a “boss fight.”
Github Commit
Flags
Regression Version
Affected Sets / Systems samurai
Attached Files
jpg file icon samurai_screens.jpg (109,443 bytes) Jan 5, 2022, 12:05 Uploaded by jkburks
Samurai screens
jkburks
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.19634
jkburks
Tester
Jan 5, 2022, 12:06
edited on: Jan 5, 2022, 12:13
Sega Ages Memorial Selection Vol. 2 (SEGA AGES メモリアルセレクションVOL.2) is a compilation of six 1980s arcade games that was released for the Sega Saturn in 1997 only in Japan.
JP: November 27, 1997
Samurai, Monaco GP, Star Jacker, Sindbad Mystery, Ninja Princess



The Saturn version is mostly faithful to the original. This version reproduces the intro animation, but because the arcade used a vertical monitor, the Ages version rearranges the score area to the right. They also added the 1979 date. Samurai was exhibited at the Oct. 1979 Amusement Machine Show in Tokyo, but the game was not released until March 1980.
User avatar
No.19635
jkburks
Tester
Jan 5, 2022, 12:08
The start screen and cabinet art depict a chōchin (paper lantern) and weapon called a jitte.
The kanji painted on lantern is 御用, which means arrest; capture.

A jitte or jutte (十手, "ten hands") is a specialized weapon that was used by police in Edo period Japan (1603 – 1868).
https://en.wikipedia.org/wiki/Jitte

The game is based on historical Japanese drama, and you will often see these scenes in old samurai movies, where the Shogun orders a Samurai to be arrested, and the police constables are summoned to capture him. These are often night scenes where the constables arrive carrying the lanterns and then try to disarm the Samurai with the jitte.